Sky Transits (HTML)
GET
/embed/transit
curl -X GET https://api.astroway.info/v1/embed/transit \ -H "Content-Type: application/json"const res = await fetch('https://api.astroway.info/v1/embed/transit', { method: 'GET', headers: { 'Content-Type': 'application/json', },});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.get( 'https://api.astroway.info/v1/embed/transit', headers={'Content-Type': 'application/json'},)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->get('embed/transit', []);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Current planet positions (sign + degree) for a date.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.